@font-face {
  font-family: 'Satoshi-Variable';
  src: url('/public/font/satoshi/Satoshi-Variable.woff2') format('woff2'),
       url('/public/font/satoshi/Satoshi-Variable.woff') format('woff'),
       url('/public/font/satoshi/Satoshi-Variable.ttf') format('truetype');
  font-weight: 300 900;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'CrimsonText';
  src: url('/public/font/crimsontext/CrimsonText-Regular.ttf') format('truetype');
  font-weight: 400;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'CrimsonText';
  src: url('/public/font/crimsontext/CrimsonText-SemiBold.ttf') format('truetype');
  font-weight: 600;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'CrimsonText';
  src: url('/public/font/crimsontext/CrimsonText-Bold.ttf') format('truetype');
  font-weight: 700;
  font-display: swap;
  font-style: normal;
}

:root {
    --color-background: #212121;
    --color-surface: #353535;
    --color-accent: #d7ac04;
    --color-accent-lighter: #f5d968;
    --color-accent-darker: #8f7302;

    --color-font-primary: #FAFAFA;
    --color-font-secondary: #AFAFAF;

    --color-alert-error: #ef233c;
}

* {
    font-family: 'Satoshi-Variable';

    box-sizing: border-box;
}

body {
    height: 100vh;
    width: 100vw;

    padding: 0;
    margin: 0;

    overflow: hidden;

    color: var(--color-font-primary);
    background-color: var(--color-background);
}

.viewport {
    display: flex;
    flex-direction: column;

    height: 100%;
    width: 100%;
}

.main {
    flex: 1;

    display: flex;
    justify-content: center;
    align-items: center;

    letter-spacing: .05rem;
}

.login-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    gap: 3rem;

    padding: 2rem;

    border: 1px solid var(--color-accent);
    border-radius: .3rem;

    background: var(--color-surface);
}

.logo {
    font-family: 'CrimsonText';
    font-size: 2.5rem;
    font-weight: 600;
    letter-spacing: .1rem;

    background: linear-gradient(to right, var(--color-accent-darker) 30%, var(--color-accent) 60%, var(--color-accent-lighter) 90%, var(--color-accent-darker));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-size: 300% 100%;
    background-position: left;

    animation: logo-animation 6s linear infinite;
}

@keyframes logo-animation {
    0% { background-position: 0% center; }
    100% { background-position: -300% center; }
}

.login-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.input-container {
    position: relative;

    display: flex;
    flex-direction: column;
    justify-content: center;

    color: var(--color-accent-lighter);
}

.input-container:first-child {
    margin-bottom: 2.5rem;
}

.input-container input {
    border: 1px solid var(--color-accent);
    border-radius: .3rem;

    background: transparent;

    caret-color: var(--color-accent);
    outline: none;

    height: 2rem;
    width: 192px;
    font-size: 0.9rem;

    padding: .3rem .4rem;

    color: var(--color-font-primary);
}

.input-container input[type="password"] {
    font-family: monospace;

    padding-right: 1.8rem;
}

.input-container .password-visibility {
    position: absolute;
    right: .4rem;

    display: flex;
    justify-content: center;
    align-items: center;

    height: 1.2rem;
    width: 1.2rem;

    cursor: pointer;

    color: var(--color-accent);
}

.input-container .label {
    position: absolute;

    left: .4rem;

    transform-origin: left top;
    transform: scale(0.9);

    transition: transform 0.2s ease, font-size 0.2s ease, color 0.2s ease;

    pointer-events: none;

    color: var(--color-accent-darker);
}

.input-container input:focus + .label, .input-container input:not(:placeholder-shown) + .label {
    transform: translateY(-1.8rem) scale(0.85);
    color: var(--color-accent);
}

.alert-container {
    height: 1rem;
    padding: 2rem 0;

    display: flex;
    justify-content: center;
    align-items: center;

    font-size: .9rem;

    color: var(--color-alert-error);
}

.login-button {
    height: 2rem;
    width: 100%;
    padding: .75rem 0;

    display: flex;
    justify-content: center;
    align-items: center;

    border: 1px solid var(--color-accent);
    border-radius: .3rem;

    cursor: pointer;
    
    font-weight: 450;

    color: var(--color-accent);

    transition: background-color 0.2s ease;
}

.login-button:hover {
    color: var(--color-font-primary);
    background-color: var(--color-accent);
}

.footer {
    height: 4rem;

    display: flex;
    justify-content: center;
    align-items: center;

    flex-grow: 0;
    flex-shrink: 0;

    border-top: 1px solid var(--color-accent);

    background-color: var(--color-surface);
}